@font-face {
  font-family: "Univers for Fiserv 45";
  src: url(fonts/UniversForFiserv45-Lt.woff2) format("woff2");
}
@font-face {
  font-family: "Univers for Fiserv 55";
  src: url(fonts/UniversForFiserv55.woff2) format("woff2");
}
body {
  margin: 0;
}

.loginLogo {
  width: 470px;
  height: 80px;
}

#waitMessage {
  position: absolute;
  width: 100%;
  height: 100%;
  background: #eee;
  opacity: 0.6;
}

.loadingCaontainer {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

.loading-dot {
  float: left;
  width: 20px;
  height: 20px;
  margin: 0 6px;
  background: #237CB8;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  opacity: 0;
  -webkit-box-shadow: 0 0 2px #237CB8;
  box-shadow: 0 0 2px #237CB8;
  -webkit-animation: loadingFade 1s infinite;
  animation: loadingFade 1s infinite;
}

.loading-dot:nth-child(1) {
  -webkit-animation-delay: 0s;
  animation-delay: 0s;
}
.loading-dot:nth-child(2) {
  -webkit-animation-delay: 0.1s;
  animation-delay: 0.1s;
}
.loading-dot:nth-child(3) {
  -webkit-animation-delay: 0.2s;
  animation-delay: 0.2s;
}
.loading-dot:nth-child(4) {
  -webkit-animation-delay: 0.3s;
  animation-delay: 0.3s;
}
.loading-dot:nth-child(5) {
  -webkit-animation-delay: 0.4s;
  animation-delay: 0.4s;
}

@-webkit-keyframes loadingFade {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 0.8;
  }
  100% {
    opacity: 0;
  }
}
@keyframes loadingFade {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 0.8;
  }
  100% {
    opacity: 0;
  }
}
/* body - login wrapper   */
.mfa-device-wrapper {
  width: 484px;
  height: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  border-radius: 4px;
}
.mfa-device-wrapper .loginHeader {
  width: 90%;
  margin-bottom: 20px;
}
.mfa-device-wrapper .loginHeader.lower {
  margin-bottom: 10px;
}
.mfa-device-wrapper .loginHeader h3 {
  font-family: "Univers for Fiserv 45";
  color: #237CB8;
  font-size: 20px;
}
.mfa-device-wrapper .loginHeader p {
  font-family: "Univers for Fiserv 45";
  color: #464646;
  font-size: 16px;
  line-height: 20px;
  width: 95%;
}
.mfa-device-wrapper .loginHeader span {
  font-family: "Univers for Fiserv 45";
  color: #464646;
  font-size: 16px;
  line-height: 20px;
  width: 95%;
}
.mfa-device-wrapper .loginAppIcon {
  margin: 23px auto 5px 5px;
  position: static;
}

/* GLOBALS */
.mfa-label {
  font-size: 12px;
  font-family: "Univers for Fiserv 45";
  color: black;
  padding: 4px;
}

.device-list {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin: 0 auto;
  width: 90%;
}
.device-list.device-confirmation {
  margin-top: 100px;
}
.device-list .listOfDevicesScrollContainer {
  height: 152px;
  max-height: 200px;
  overflow-y: auto;
}

ul#device-list {
  margin: 0;
  padding: 0;
  width: 100%;
  list-style-type: none;
}
ul#device-list .device {
  width: 100%;
  display: block;
  background-color: #e0e0e0;
  color: #464646;
  font-size: 14px;
  font-family: "Univers for Fiserv 45";
  margin-bottom: 12px;
  line-height: 18px;
}
ul#device-list .device .device-item {
  display: grid;
  grid-template-columns: 1fr auto;
  padding: 4px;
}
ul#device-list .device .device-item .device-name {
  display: flex;
  align-items: center;
  flex-direction: row-reverse;
  justify-content: flex-end;
}
ul#device-list .device .device-item .device-name label {
  margin-left: 5px;
}
ul#device-list .device .device-item .device-name input {
  margin: 0 3px;
}
ul#device-list .device .device-item .rmv-device {
  display: flex;
  align-items: center;
  margin-right: 2px;
}
ul#device-list .device .device-item .rmv-device a {
  display: contents;
  color: #DD3435;
}
ul#device-list .device .device-item .rmv-device a svg {
  height: 9px;
}

.device-header {
  height: 30px;
  display: block;
  width: 100%;
  margin-top: 0;
  margin-right: auto;
  margin-bottom: 20px;
  margin-left: auto;
}
.device-header .add-device {
  color: #464646;
  font-size: 12px;
  font-family: "Univers for Fiserv 45";
  height: 20px;
  padding: 4px;
  float: right;
  display: flex;
  align-items: center;
}
.device-header .add-device img {
  height: 12px;
  margin-right: 5px;
}
.device-header .add-device a {
  text-decoration: none;
}
.device-header .add-device a:hover {
  cursor: pointer;
  text-decoration: underline;
}

.img-clipboard {
  width: 75px;
}

.auth-icon {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.auth-table {
  font-size: 16px;
  font-family: "Univers for Fiserv 45";
  color: #464646;
  text-align: center;
}

.auth-qr-column {
  width: 166px;
}

.auth-copy-column {
  width: 159px;
}

.copied-tooltip {
  opacity: 0;
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  height: 0;
  top: -8px;
}

.copied-text {
  font-size: 12px;
  font-family: "Univers for Fiserv 45";
  background: #3C3C3C;
  padding: 10px;
  border-radius: 5px;
}

.copied-triangle {
  border-color: #3C3C3C;
  border-width: 5px;
  border-style: solid;
  border-color: transparent transparent #3C3C3C transparent;
}

.message-and-link {
  display: flex;
  justify-content: space-between;
}

/* END GLOOBALS */
.device-register {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin-right: auto;
  margin-left: auto;
  width: 90%;
}
.device-register .auth-container {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
}
.device-register .auth-container .auth-icon:last-of-type:hover {
  cursor: pointer;
}

#otpContainer {
  width: 100%;
  display: flex;
  flex-direction: column;
  min-height: 75px;
  margin-bottom: 20px;
}
#otpContainer .label-device {
  font-size: 14px;
  font-family: "Univers for Fiserv 45";
  font-weight: normal;
}
#otpContainer input {
  height: 40px;
  border-radius: 4px;
  font-family: "Univers for Fiserv 45";
  font-size: 16px;
  padding-left: 10px;
  font-weight: normal;
  border: 1px solid #ddd;
}
#otpContainer input:focus {
  border: 1px solid #6699cc;
  outline: none;
}
#otpContainer input:focus-visible {
  border: 1px solid #6699cc;
  outline: none;
}
#otpContainer input:focus-within {
  border: 1px solid #6699cc;
  outline: none;
}
#otpContainer #linkSendNewOtp {
  text-wrap: nowrap;
  padding: 4px;
  font-size: 12px;
  text-decoration: none;
  font-family: "Univers for Fiserv 45";
}
#otpContainer #linkSendNewOtp:hover {
  cursor: pointer;
  text-decoration: underline;
}

div > .validation-wrapper span {
  font-size: 12px;
  color: #DD3435;
  font-family: "Univers for Fiserv 45";
  padding-left: 4px;
  display: block;
  margin-bottom: 10px;
  font-weight: bold;
}
div > .validation-wrapper input {
  width: 100%;
  height: 40px;
}

.buttons-container {
  width: 100%;
  display: flex;
  justify-content: space-between;
}
.buttons-container input {
  width: 45%;
  height: 40px;
  border-radius: 4px;
  background-color: #009EE0;
  color: white;
  font-size: 14px;
  border: 1px solid #ddd;
}
.buttons-container input:hover {
  cursor: pointer;
}
.buttons-container input:last-of-type {
  background-color: #909090;
}